﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HotlineQuery.Sdk
{
    /// <summary>
    /// 发布
    /// </summary>
    [SugarTable("order_publish")]
    public class OrderPublish
    {
        [SugarColumn(IsPrimaryKey = true)]
        public string Id { get; set; }

        public string OrderId { get; set; }

        /// <summary>
        /// 工单编码（冗余）
        /// </summary>
        public string No { get; set; }

        /// <summary>
        /// 发布范围
        /// </summary>
        public bool PublishState { get; set; }

        /// <summary>
        /// 整理标题
        /// </summary>
        public string ArrangeTitle { get; set; }

        /// <summary>
        /// 整理内容
        /// </summary>
        public string ArrangeContent { get; set; }

        /// <summary>
        /// 整理结果
        /// </summary>
        public string ArrangeOpinion { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreationTime { get; set; }
    }
}
